Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_ShippingAddress_CRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.order.Order_ShippingAddress_CRUD

Deprecated

    @Deprecated
    public class Order_ShippingAddress_CRUD

extends Object

CRUD for Aggregate Mapping

Constructor Summary
`Order_ShippingAddress_CRUD()` Deprecated

Method Summary
`static void` | `refresh(Connection connection, Object containerKey, Object container)` Deprecated Refresh Aggregate o refresh an instance of the target class and associate him with the container class
`static void` | `update(Connection connection, Object containerKey, Object container)` Deprecated To update an aggregate, get the instance from the container and update him into the database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_ShippingAddress_CRUD

    public Order_ShippingAddress_CRUD()

  Deprecated

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  Deprecated
  To update an aggregate, get the instance from the container and update him into the database

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object containerKey,
                               Object container)
                        throws BMPException

  Deprecated
  Refresh Aggregate o refresh an instance of the target class and associate him with the container class

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.